> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/sites > Get sites for the current enterprise ## OpenAPI ````json GET /v1/sites { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/sites": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1SitesGetResponse" } } } } }, "description": "Get sites for the current enterprise" } } }, "components": { "schemas": { "v1SitesGetResponse": { "type": "object", "properties": { "pageInfo": { "$ref": "#/components/schemas/commonPageInfo" }, "sites": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2Site" } } }, "additionalProperties": false }, "commonPageInfo": { "type": "object", "properties": { "currentPage": { "type": "integer", "format": "int32", "example": 1, "minimum": 0, "description": "The page number we are currently on (required)" }, "endCursor": { "type": "string", "example": "xxxxxxy", "description": "Cursor pointing to the last record on the current page" }, "hasNextPage": { "type": "boolean", "example": true, "description": "An indicator whether there is a page after this one in the resultset based on current position" }, "hasPrevPage": { "type": "boolean", "example": true, "description": "An indicator whether there is a page before this one in the resultset based on current position" }, "startCursor": { "type": "string", "example": "xxxxxx", "description": "Cursor pointing to the first record on the current page" }, "totalPages": { "type": "integer", "format": "int32", "example": 4, "minimum": 0, "description": "The number of pages in the complete resultset based on the current length of the page (required)" }, "totalRecords": { "type": "integer", "format": "int32", "example": 400, "minimum": 0, "description": "Describes the total number of records in the complete resultset (required)" } }, "additionalProperties": false }, "manaV2Site": { "type": "object", "properties": { "address": { "type": "string", "example": "example string" }, "createdAt": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "devices": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2SiteDeviceStub" } }, "edgeCount": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "location": { "$ref": "#/components/schemas/manaV2Location" }, "name": { "type": "string", "example": "example string" }, "notes": { "type": "string", "example": "example string" }, "policyReferenceCount": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "policyTag": { "$ref": "#/components/schemas/manaV2SingleRouteTag" }, "segmentCount": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "siteListReferenceCount": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "tags": { "type": "array", "items": { "type": "string", "example": "example string" } }, "updatedAt": { "$ref": "#/components/schemas/googleProtobufTimestamp" } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "manaV2SiteDeviceStub": { "type": "object", "properties": { "hostname": { "type": "string", "example": "example string" }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "manaV2Location": { "type": "object", "properties": { "addressLine1": { "type": "string", "example": "example string" }, "addressLine2": { "type": "string", "example": "example string" }, "city": { "type": "string", "example": "example string" }, "country": { "type": "string", "example": "example string" }, "countryCode": { "type": "string", "example": "example string" }, "latitude": { "type": "number", "format": "double", "example": 123.45 }, "longitude": { "type": "number", "format": "double", "example": 123.45 }, "notes": { "type": "string", "example": "example string" }, "provinceCode": { "type": "string", "example": "example string" }, "state": { "type": "string", "example": "example string" }, "stateCode": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2SingleRouteTag": { "type": "object", "properties": { "levelOne": { "$ref": "#/components/schemas/manaV2SingleRouteTagRouteTagElement" }, "levelTwo": { "$ref": "#/components/schemas/manaV2SingleRouteTagRouteTagElement" }, "levelZero": { "$ref": "#/components/schemas/manaV2SingleRouteTagRouteTagElement" } }, "additionalProperties": false }, "manaV2SingleRouteTagRouteTagElement": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "tag": { "type": "string", "example": "example string" }, "tagValue": { "type": "integer", "format": "int32", "example": 123 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````